package health_insurance_companies

import "context"

type Service interface {
	Create(ctx context.Context, row *HealthInsuranceCompany) error
	Update(ctx context.Context, row *HealthInsuranceCompany) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*HealthInsuranceCompany, error)
	List(ctx context.Context, filter, sort string, limit, offset int) ([]HealthInsuranceCompany, int64, error)
	ResolveStateDetails(ctx context.Context, stateNames []string) (map[string]StateDetail, error)
	ResolveLandDetails(ctx context.Context, landIDs []string) (map[string]LandDetail, error)
}
